<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2013 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace app\controller\customer;

use app\controller\Base;
use app\services\company\CompanyService;

/**
 * @title 企业信息模型
 */
class Company extends Base{

	/**
	 * @title 企业列表
	 *
	 * @time 2020年01月09日
	 * @param CompanyService $service
	 * @return Array
	 */
	public function index(CompanyService $service) {
		$data = $service->getCompanyList($this->request);

		$this->data['data'] = $data;
		return $this->data;
	}

	/**
	 * @title 企业详情
	 *
	 * @time 2020年01月09日
	 * @param CompanyService $service
	 * @return Array
	 */
	public function detail(CompanyService $service) {
		$data = $service->getCompanyDetail($this->request);

		$this->data['data'] = $data;
		return $this->data;
	}

	/**
	 * @title 修改企业
	 *
	 * @time 2020年01月09日
	 * @param CompanyService $service
	 * @return Array
	 */
	public function edit(CompanyService $service) {
		$data = $service->editCompany($this->request);

		$this->data['data'] = $data;
		return $this->data;
	}

	/**
	 * @title 导入企业信息
	 *
	 * @param CompanyService $service
	 * @return void
	 */
	public function insert(CompanyService $service){
		$this->data['data'] = $service->insertCompanyData($this->request);
		return $this->data;
	}
}